Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.job.executor
Class JobExecutorThread

    java.lang.Object
      java.lang.Thread
          org.jbpm.job.executor.JobExecutorThread

All Implemented Interfaces:
  java.lang.Runnable

    public class JobExecutorThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`JobExecutorThread(java.lang.String name, JobExecutor jobExecutor, JbpmConfiguration jbpmConfiguration, int idleInterval, int maxIdleInterval, long maxLockTime, int maxHistory)`

Method Summary
`protected java.util.Collection` | `acquireJobs()`
`protected void` | `executeJob(Job job)`
`protected java.util.Date` | `getNextDueDate()`
`protected long` | `getWaitPeriod()`
`void` | `run()`
`void` | `setActive(boolean isActive)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobExecutorThread

    public JobExecutorThread(java.lang.String name,
                             JobExecutor jobExecutor,
                             JbpmConfiguration jbpmConfiguration,
                             int idleInterval,
                             int maxIdleInterval,
                             long maxLockTime,
                             int maxHistory)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### acquireJobs

    protected java.util.Collection acquireJobs()

### executeJob

    protected void executeJob(Job job)

### getNextDueDate

    protected java.util.Date getNextDueDate()

### getWaitPeriod

    protected long getWaitPeriod()

### setActive

    public void setActive(boolean isActive)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD